org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetScoringTriConstraintStream<Solution_,A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriConstraintStream<Solution_,A,B,C>
      - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetScoringTriConstraintStream<Solution_,A,B,C>

- All Implemented Interfaces:
    ConstraintStream, TriConstraintStream<A,B,C>, InnerTriConstraintStream<A,B,C>

      public final class BavetScoringTriConstraintStream<Solution_,A,B,C>
      extends BavetAbstractTriConstraintStream<Solution_,A,B,C>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriConstraintStream

      `childStreamList`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractTriConstraintStream<Solution_,A,B,C> parent, BavetConstraint<Solution_> constraint)`
    `BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractTriConstraintStream<Solution_,A,B,C> parent, BavetConstraint<Solution_> constraint, ToIntTriFunction<A,B,C> intMatchWeigher)`
    `BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractTriConstraintStream<Solution_,A,B,C> parent, BavetConstraint<Solution_> constraint, ToLongTriFunction<A,B,C> longMatchWeigher)`
    `BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractTriConstraintStream<Solution_,A,B,C> parent, BavetConstraint<Solution_> constraint, TriFunction<A,B,C,BigDecimal> bigDecimalMatchWeigher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createChildNodeChains(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractTriNode<A,B,C> node)`
    `protected BavetScoringTriNode<A,B,C>` | `createNode(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractTriNode<A,B,C> parentNode)`
    `List<BavetFromUniConstraintStream<Solution_,Object>>` | `getFromStreamList()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriConstraintStream

      `addChildStream, createNodeChain, filter, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join, processNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `buildConstraint, buildConstraintConfigurable, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, penalize, penalizeConfigurable, reward, rewardConfigurable, validateConstraintId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.tri.InnerTriConstraintStream

      `penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.tri.TriConstraintStream

      `join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Constructor Detail

    - #### BavetScoringTriConstraintStream

          public BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                 BavetConstraint<Solution_> constraint)

    - #### BavetScoringTriConstraintStream

          public BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 ToIntTriFunction<A,B,C> intMatchWeigher)

    - #### BavetScoringTriConstraintStream

          public BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 ToLongTriFunction<A,B,C> longMatchWeigher)

    - #### BavetScoringTriConstraintStream

          public BavetScoringTriConstraintStream(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 TriFunction<A,B,C,BigDecimal> bigDecimalMatchWeigher)

  - ### Method Detail

    - #### getFromStreamList

          public List<BavetFromUniConstraintStream<Solution_,Object>> getFromStreamList()

      Specified by:
        `getFromStreamList` in class `BavetAbstractConstraintStream<Solution_>`

    - #### createNode

          protected BavetScoringTriNode<A,B,C> createNode(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                                          Score<?> constraintWeight,
                                                          int nodeOrder,
                                                          BavetAbstractTriNode<A,B,C> parentNode)

      Specified by:
        `createNode` in class `BavetAbstractTriConstraintStream<Solution_,A,B,C>`

    - #### createChildNodeChains

          protected void createChildNodeChains(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                               Score<?> constraintWeight,
                                               int nodeOrder,
                                               BavetAbstractTriNode<A,B,C> node)

      Overrides:
        `createChildNodeChains` in class `BavetAbstractTriConstraintStream<Solution_,A,B,C>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.